GET /queue/{guid}

Get a specific queue job by its GUID

Get a specific queue job by its GUID
KeyTypeExampleDescription
guidrequiredstring
'a23575f49d0af385314c1f02280163374297e018a692e5e...'
Unique identifier of the queue job
KeyTypeExampleDescription
authorizationrequiredstring
"Bearer access_token"
Access token
{
  "_meta": {
    "created": 1782166695,
    "entity": 1,
    "guid": "a23575f49d0af385314c1f02280163374297e018a692e5e4ab85eb307ebf6ebc",
    "modified": 1782166695,
    "updated": 1782166695
  },
  "attempts": 0,
  "completed_at": 1782166695,
  "data": {
    "order_guid": "a23575f49d0af385314c1f02280163374297e018a692e5e4ab85eb307ebf6ebc",
    "retries": 0
  },
  "error": "INVALID_TYPE",
  "max_attempts": 3,
  "priority": 1,
  "progress": {
    "current": 1,
    "percentage": 12.5,
    "total": 4
  },
  "scheduled_for": 1,
  "started_at": 1782166695,
  "status": "pending"
}
{
  "error": "ERROR"
}
StatusError CodeDescription
404ERRORQueue job not found
PermissionDescription
Bearer tokenAccess token required via Authorization header, x-authtoken, x-token, query param, or cookie
queue_viewRequired scope: queue_view

Back to Queue Return to the Queue category to view other endpoints All API Categories Browse all available API categories